Subject: Re: [StGit PATCH 2/6] Don't try to merge files that merge-recursive already merged

From: David Kågedal <[email-masked]>
Date: Wed, 22 Aug 2007 11:37:03 +0200

Karl Hasselström <[email-masked]> writes:

> On 2007-08-20 10:11:59 +0200, David Kågedal wrote:
>
>> This avoid duplicating work, but also changes the resulting index
>> state so that the conflicts are left in the index in the three
>> stages.
>
> After this patch, t1400-patch-history fails:

I think that the push(c) commits will never happen with my patches, so
the test case needs an update.

> *   ok 1: Initialize the StGIT repository
> *   ok 2: Create the first patch
> *   ok 3: Create the second patch
> *   ok 4: Check the "new" and "refresh" logs
> *   ok 5: Check the log annotation
> *   ok 6: Check the "push" log
> *   ok 7: Check the "push(f)" log
> *   ok 8: Check the "push(m)" log
> * FAIL 9: Check the "push(c)" log
>
>                 echo bar > test && stg refresh &&
>                 stg pop &&
>                 echo foo > test && stg refresh &&
>                 ! stg push &&
>                 stg log --full | grep -q -e "^push(c) "
>
> *   ok 10: Check the push "undo" log
> *   ok 11: Check the refresh "undo" log
> * failed 1 among 11 test(s)
>
> I'll see if I can figure out what's wrong.

-- 
David Kågedal